    Program a02acfe

!     A02ACF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: a02acf, nag_wp
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nin = 5, nout = 6
!     .. Local Scalars ..
      Real (Kind=nag_wp)               :: xi, xr, yi, yr, zi, zr
!     .. Executable Statements ..
      Write (nout,*) 'A02ACF Example Program Results'

!     Skip heading in data file
      Read (nin,*)

      Read (nin,*) xr, xi, yr, yi

!     Compute (XR,XI)/(YR,YI) = (ZR,ZI)

      Call a02acf(xr,xi,yr,yi,zr,zi)

      Write (nout,*)
      Write (nout,*) '   XR    XI    YR    YI      ZR       ZI'
      Write (nout,99999) xr, xi, yr, yi, zr, zi

99999 Format (1X,4F6.1,2F9.4)
    End Program a02acfe
